
function onBegin()
    makeUnskippable()
    helpers.setEffectiveGravityMult(0)
    while not getFlag("HKBossChainsBroken") do
        wait()
    end
    helpers.setEffectiveGravityMult(1)
    playPuppetAnim("diveL")
    while not puppet:OnGround(1) do
        wait()
    end
    playPuppetAnim("yell")
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/THK_StartScream")
    wait(1)
	playMusic("event:/CC/CC_HollowKnight/TheHollowKnight",0)
    --miniTextbox("name_title")
    setFlag("hk_can_turn", true)
    --wait(speedYTweenTo(-200, 0.2))
    --wait(keepYSpeedDuring(1))
    --wait(speedYTweenTo(0, 0.5))
end

function onEnd()
    enableCollisions()
    helpers.setEffectiveGravityMult(1)
    setFlag("hk_change_to_main", true)
end